Skip to main content
GET
/
rawmetrics
List usage events
curl --request GET \
  --url https://api.zenskar.com/rawmetrics \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "api_slug": "<string>",
      "dataschema": {},
      "created_at": "2023-11-07T05:31:56Z",
      "usage_upload_enabled": false,
      "s3_path": "<string>",
      "error_log_s3_path": "<string>",
      "allow_partial_upload": true
    }
  ],
  "next": "V2VsbCBhcmV1IGN1cmlvdxM=",
  "previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Headers

apiversion
integer | null
default:20230501

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

order
string | null
default:-created_at
Example:

"order=created_at"

sort_key
string | null
default:created_at
Example:

"sort_key=id"

sort_type
string | null
default:DESC
Example:

"sort_key=asc"

search
string | null
id
string<uuid> | null
id__in
string | null
id__isnull
boolean | null
name
string | null
name__ilike
string | null
name__like
string | null
name__in
string | null
name__isnull
boolean | null
api_slug
string | null
api_slug__ilike
string | null
api_slug__like
string | null
api_slug__in
string | null
api_slug__isnull
boolean | null

Response

Successful Response

results
GetRawMetricResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows